Last Comment Bug 742673 - Chat accounts are not connected automatically if Thunderbird was offline on startup
: Chat accounts are not connected automatically if Thunderbird was offline on s...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Nobody; OK to take it and work on it
: aleth [:aleth]
Mentors:
Depends on:
Blocks: 740280
  Show dependency treegraph
 
Reported: 2012-04-05 03:37 PDT by Sebastian H. [:aryx][:archaeopteryx]
Modified: 2013-12-30 04:55 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
instant messager status window (19.40 KB, image/png)
2012-04-05 03:37 PDT, Sebastian H. [:aryx][:archaeopteryx]
no flags Details
Patch (3.41 KB, patch)
2012-08-07 10:48 PDT, Florian Quèze [:florian] [:flo]
florian: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Sebastian H. [:aryx][:archaeopteryx] 2012-04-05 03:37:31 PDT
Created attachment 612490 [details]
instant messager status window

Thunderbird Daily 2012-04-04, Windows XP SP 3 32-bit

I am unable to connect to a newly created IRC account after creating it in a profile in which Thunderbird was offline on startup. Thunderbird tries to connect but fails despite being online. There is a notification: "Automatic Connection Settings have been ignored because the application was started in offline mode." The "Connect" button of the account is greyed out, you have to click the "Conncet now" of the notification to get connected.
Comment 1 Florian Quèze [:florian] [:flo] 2012-08-07 10:48:15 PDT
Created attachment 649694 [details] [diff] [review]
Patch

[Approval Request Comment]

This bug was fixed for Instantbird in https://bugzilla.instantbird.org/show_bug.cgi?id=1497 and pushed as https://hg.instantbird.org/instantbird/rev/1b767d16b3a9

The patch I'm attaching here only to request approval is from aleth and was reviewed by me.


The current behavior is:
If Thunderbird is started with necko offline (the "work offline" checkbox of the profile manager), chat accounts that have the "Connect at startup" checkbox checked don't try to automatically connect. The user has to go to the "Show Accounts" chat dialog and click on the button of the notification bar displayed in attachment 612490 [details] to connect them.

With the attached patch, the chat core will tell these accounts to connect at startup anyway. They won't connect (because necko is offline), but they will remember the user wanted them to be connected, and they will connect automatically as soon as necko is back online.

In almost all cases this new behavior is better. The only case where the current behavior could be slightly better is if the user doesn't know that necko was started offline, as there won't be any message to explain the situation any more (as automatic connection isn't disabled).

My feeling is we should take this for Tb15.
Comment 2 Florian Quèze [:florian] [:flo] 2012-08-07 11:13:05 PDT
https://hg.mozilla.org/comm-central/rev/c923542e90ef
Comment 4 Florian Quèze [:florian] [:flo] 2012-10-08 05:54:34 PDT
This patch landed for Instantbird in https://bugzilla.instantbird.org/show_bug.cgi?id=1497

Note You need to log in before you can comment on or make changes to this bug.